
[Unit]
  Description=mount {{STUNNEL_REMOTE_HOST}}:{{samba_client.mount_remote}} on {{samba_client.mount_local_dir}}
  Requires=network-online.target
  After=network-online.service

[Mount]
  What=//localhost/{{samba_client.mount_remote}}
  Where={{samba_client.mount_local_dir}}
  Options=credentials={{samba_client.credentials_file}},port={{stunnel_client.listen_port}},uid={{samba_client.mount_uid}},gid={{samba_client.mount_gid}}
  Type=cifs

[Install]
  WantedBy=multi-user.target
